diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenConsole.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenConsole.java
index 50f7557bd..f9f4fc7cb 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenConsole.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenConsole.java
@@ -7,12 +7,8 @@ import net.minecraft.client.console.LogMessageReceiver;
 import net.minecraft.client.console.syntax.RendererFactory;
 import net.minecraft.client.gui.text.ITextField;
 import net.minecraft.client.gui.text.TextFieldEditor;
-import net.minecraft.client.render.font.FontMonospace;
 import net.minecraft.client.console.shell.RuntimeExecutor;
-import net.minecraft.client.render.font.FontRenderer;
-import net.minecraft.client.render.font.FontRendererDefault;
 import net.minecraft.client.render.font.Fonts;
-import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.window.CursorShape;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.util.helper.MathHelper;
@@ -38,8 +34,6 @@ public class ScreenConsole extends Screen {
 
         private final @NotNull Map<LogMessage.@NotNull Level, @NotNull TextFormatting> preludes = new HashMap<>();
 
-        private final @NotNull FontRenderer fontRenderer = new FontRendererDefault(Fonts.MONOSPACE);
-
         private int width = 0;
         private int scroll = 0;
 
@@ -74,7 +68,7 @@ public class ScreenConsole extends Screen {
             final int lines = Math.min(heightLines, WORKED_LINES.size() - this.scroll);
             for (int i = lines - 1; i >= 0; i--) {
                 final @NotNull String line = WORKED_LINES.get((WORKED_LINES.size() - 1) - (i + this.scroll));
-                this.fontRenderer.render(Tessellator.instance, line, x, y + getHeight(numLines) - LINE_HEIGHT - LINE_HEIGHT * i).setColor(0xFF_CF_CF_CF).call();
+                Minecraft.getMinecraft().font.render(line, x, y + getHeight(numLines) - LINE_HEIGHT - LINE_HEIGHT * i).setFont(Fonts.MONOSPACE).setColor(0xFF_CF_CF_CF).call();
             }
             renderScrollIndicator(x, y, numLines);
         }
@@ -136,7 +130,7 @@ public class ScreenConsole extends Screen {
 
         private void formatString(final @NotNull LogMessage message, final @NotNull List<@NotNull String> out) {
             out.clear();
-            final @NotNull String @NotNull[] workedString = message.getMessage()
+            final @NotNull String @NotNull [] workedString = message.getMessage()
                 .replace("\r\n", "\n")
                 .replace("\t", "    ")
                 .split("\n");
@@ -156,9 +150,9 @@ public class ScreenConsole extends Screen {
                         if (newFormat != null) {
                             nextFormat = newFormat;
                         }
-                        lineWidth -= this.fontRenderer.getFont().charWidth(c) + this.fontRenderer.getFont().charWidth(trimmedLine.charAt(i + 1));
+                        lineWidth -= Fonts.MONOSPACE.charWidth(c) + Fonts.MONOSPACE.charWidth(trimmedLine.charAt(i + 1));
                     }
-                    final int cWidth = this.fontRenderer.getFont().charWidth(c);
+                    final int cWidth = Fonts.MONOSPACE.charWidth(c);
                     if (lineWidth + cWidth >= this.width) {
                         out.add(currentFormat.toString() + sb);
                         sb = new StringBuilder();
@@ -177,8 +171,6 @@ public class ScreenConsole extends Screen {
         private static final @NotNull List<@NotNull String> HISTORY = new ArrayList<>();
         private static final @Nullable RuntimeExecutor EXECUTOR = new RuntimeExecutor();
 
-        private final @NotNull FontRenderer fontRenderer = new FontRendererDefault(Fonts.MONOSPACE);
-
         private @NotNull String text = "";
         private @NotNull String highlightedText = "";
         private @NotNull String originalText = "";
@@ -198,38 +190,38 @@ public class ScreenConsole extends Screen {
 
         public void render(final int x, final int y) {
             boolean addedStart = false;
-            final @NotNull String @NotNull[] splitHighlighted = this.highlightedText.split("\n", -1);
+            final @NotNull String @NotNull [] splitHighlighted = this.highlightedText.split("\n", -1);
             for (int i = 0; i < splitHighlighted.length; i++) {
-                drawStringNoShadow(this.fontRenderer, (addedStart ? "  " : "> ") + splitHighlighted[i].replace("\n", ""), x, y + i * LINE_HEIGHT, 0xFF_E0_E0_E0);
+                Minecraft.getMinecraft().font.render((addedStart ? "  " : "> ") + splitHighlighted[i].replace("\n", ""), x, y).setFont(Fonts.MONOSPACE).setZ(this.zLevel).setColor(0xFF_E0_E0_E0).call();
                 addedStart = true;
             }
 
             final @NotNull String @NotNull [] split = this.text.split("\n", -1);
-            final int offsetWidth = MathHelper.ceil(this.fontRenderer.stringWidthDouble("  "));
+            final int offsetWidth = MathHelper.ceil(Minecraft.getMinecraft().font.stringWidthDouble("  "));
             final int[] cursorPos = getCursor();
             final int cursorX;
             if (cursorPos[0] == split[cursorPos[1]].length()) {
-                cursorX = MathHelper.ceil(this.fontRenderer.stringWidthDouble(split[cursorPos[1]]));
+                cursorX = MathHelper.ceil(Minecraft.getMinecraft().font.stringWidthDouble(split[cursorPos[1]]));
             } else {
-                cursorX = MathHelper.ceil(this.fontRenderer.stringWidthDouble(split[cursorPos[1]].substring(0, cursorPos[0])));
+                cursorX = MathHelper.ceil(Minecraft.getMinecraft().font.stringWidthDouble(split[cursorPos[1]].substring(0, cursorPos[0])));
             }
-            if ((cursorCounter / 6) % 2 == 0) {
-                drawStringNoShadow(this.fontRenderer, "█", x + offsetWidth + cursorX, y + cursorPos[1] * LINE_HEIGHT, 0xFF_FF_FF_FF);
+            if ((this.cursorCounter / 6) % 2 == 0) {
+                Minecraft.getMinecraft().font.render("█", x + offsetWidth + cursorX, y + cursorPos[1] * LINE_HEIGHT).setFont(Fonts.MONOSPACE).setZ(this.zLevel).setColor(0xFF_FF_FF_FF).call();
                 if (this.editor.getCursor() < this.text.length() && this.text.charAt(this.editor.getCursor()) != '\n') {
-                    drawStringNoShadow(this.fontRenderer, "" + this.text.charAt(this.editor.getCursor()), x + offsetWidth + cursorX, y + cursorPos[1] * LINE_HEIGHT, 0xFF_00_00_00);
+                    Minecraft.getMinecraft().font.render("" + this.text.charAt(this.editor.getCursor()), x + offsetWidth + cursorX, y + cursorPos[1] * LINE_HEIGHT).setFont(Fonts.MONOSPACE).setZ(this.zLevel).setColor(0xFF_00_00_00).call();
                 }
             } else {
-                drawStringNoShadow(this.fontRenderer, "_", x + offsetWidth + cursorX, y + cursorPos[1] * LINE_HEIGHT, 0xFF_FF_FF_FF);
+                Minecraft.getMinecraft().font.render("_", x + offsetWidth + cursorX, y + cursorPos[1] * LINE_HEIGHT).setFont(Fonts.MONOSPACE).setZ(this.zLevel).setColor(0xFF_FF_FF_FF).call();
             }
         }
 
         public void click(final int mx, final int my) {
-            final int oneChar = MathHelper.ceil(this.fontRenderer.stringWidthDouble(" "));
+            final int oneChar = MathHelper.ceil(Minecraft.getMinecraft().font.stringWidthDouble(" "));
 
             final int cx = (mx - (oneChar * 2)) / oneChar;
             final int cy = my / LINE_HEIGHT;
 
-            final @NotNull String @NotNull[] split = this.text.split("\n");
+            final @NotNull String @NotNull [] split = this.text.split("\n");
             int cursor = 0;
             for (int y = 0; y < cy; y++) {
                 cursor += split[y].length() + 1;
@@ -253,7 +245,7 @@ public class ScreenConsole extends Screen {
                     this.editor.handleInput(key, '\n');
                 } else {
                     final @NotNull String line = this.text.trim();
-                    final @NotNull String @NotNull[] split = this.highlightedText.trim().split("\n");
+                    final @NotNull String @NotNull [] split = this.highlightedText.trim().split("\n");
                     final @NotNull StringBuilder sb = new StringBuilder();
                     for (final @NotNull String s : split) {
                         sb
@@ -280,7 +272,7 @@ public class ScreenConsole extends Screen {
                 realPos -= cursorPos[0];
                 this.editor.setCursor(realPos);
             } else if (key == Keyboard.KEY_END && isMultiLine) {
-                final @NotNull String @NotNull[] split = this.text.split("\n", -1);
+                final @NotNull String @NotNull [] split = this.text.split("\n", -1);
                 final int[] cursorPos = getCursor();
                 int realPos = this.editor.getCursor();
                 realPos -= cursorPos[0];
@@ -288,7 +280,7 @@ public class ScreenConsole extends Screen {
                 this.editor.setCursor(realPos);
             } else if (key == Keyboard.KEY_UP) {
                 if (isMultiLine && !(Keyboard.isKeyDown(Keyboard.KEY_LSHIFT) || Keyboard.isKeyDown(Keyboard.KEY_RSHIFT))) {
-                    final @NotNull String @NotNull[] split = this.text.split("\n", -1);
+                    final @NotNull String @NotNull [] split = this.text.split("\n", -1);
                     int[] cursorPos = getCursor();
                     if (cursorPos[1] == 0) return;
                     int realPos = this.editor.getCursor();
@@ -310,7 +302,7 @@ public class ScreenConsole extends Screen {
                 }
             } else if (key == Keyboard.KEY_DOWN) {
                 if (isMultiLine && !(Keyboard.isKeyDown(Keyboard.KEY_LSHIFT) || Keyboard.isKeyDown(Keyboard.KEY_RSHIFT))) {
-                    final @NotNull String @NotNull[] split = this.text.split("\n", -1);
+                    final @NotNull String @NotNull [] split = this.text.split("\n", -1);
                     int[] cursorPos = getCursor();
                     if (cursorPos[1] == split.length - 1) return;
                     int realPos = this.editor.getCursor();
@@ -361,8 +353,8 @@ public class ScreenConsole extends Screen {
             return 1024;
         }
 
-        private int @NotNull[] getCursor() {
-            final @NotNull String @NotNull[] split = this.text.split("\n", -1);
+        private int @NotNull [] getCursor() {
+            final @NotNull String @NotNull [] split = this.text.split("\n", -1);
 
             int cursor = this.editor.getCursor();
             int cursorLine = 0;
@@ -373,7 +365,7 @@ public class ScreenConsole extends Screen {
                 }
                 cursor -= split[i].length() + 1;
             }
-            return new int[] { cursor, cursorLine };
+            return new int[]{cursor, cursorLine};
         }
     }
 
@@ -409,10 +401,9 @@ public class ScreenConsole extends Screen {
     @Override
     public void init() {
         if (this.parentScreen != null) {
-            if (this.parentScreen.width != width || this.parentScreen.height != height)
-            {
-                this.parentScreen.width = width;
-                this.parentScreen.height = height;
+            if (this.parentScreen.width != this.width || this.parentScreen.height != this.height) {
+                this.parentScreen.width = this.width;
+                this.parentScreen.height = this.height;
                 this.parentScreen.buttons.clear();
                 this.parentScreen.init();
             }
@@ -454,7 +445,7 @@ public class ScreenConsole extends Screen {
         GL11.glDisable(GL11.GL_TEXTURE_2D);
         drawRect(0, 0, this.width, getMaxY(), 0xDF_00_00_00);
 
-        this.logRenderer.render(PADDING, PADDING, heightLines - inputRenderer.getHeightLines());
+        this.logRenderer.render(PADDING, PADDING, heightLines - this.inputRenderer.getHeightLines());
 
         final int inputRendererHeight = this.inputRenderer.getHeightLines() * LINE_HEIGHT;
         this.inputRenderer.render(PADDING, getMaxY() - PADDING - inputRendererHeight);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenControllerSetup.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenControllerSetup.java
index 80f4c1155..db1d1d5eb 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenControllerSetup.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenControllerSetup.java
@@ -5,13 +5,13 @@ import net.minecraft.client.input.InputType;
 import net.minecraft.client.input.controller.Button;
 import net.minecraft.client.input.controller.ControllerInput;
 import net.minecraft.client.input.controller.ControllerType;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.core.lang.I18n;
 import org.jetbrains.annotations.NotNull;
 
 import java.util.Arrays;
 
-import static org.lwjgl.opengl.GL11.*;
-
 public class ScreenControllerSetup extends Screen {
     private ControllerInput lastController = null;
     private ButtonElement controllerButton;
@@ -22,15 +22,15 @@ public class ScreenControllerSetup extends Screen {
 
     @Override
     public void init() {
-        controllerButton = new ButtonElement(0, 0, 0, "");
-        controllerButton.xPosition = width / 2 - 100;
-        controllerButton.yPosition = 16;
-        controllerButton.width = 200;
-        controllerButton.height = 20;
+        this.controllerButton = new ButtonElement(0, 0, 0, "");
+        this.controllerButton.xPosition = this.width / 2 - 100;
+        this.controllerButton.yPosition = 16;
+        this.controllerButton.width = 200;
+        this.controllerButton.height = 20;
 
-        buttons.add(controllerButton);
+        this.buttons.add(this.controllerButton);
 
-        buttons.add(new ButtonElement(-1, width / 2 - 100, height - 40, I18n.getInstance().translateKey("gui.controller_setup.button.back")).setListener((e) -> mc.displayScreen(parentScreen)));
+        this.buttons.add(new ButtonElement(-1, this.width / 2 - 100, this.height - 40, I18n.getInstance().translateKey("gui.controller_setup.button.back")).setListener((e) -> this.mc.displayScreen(this.parentScreen)));
 
         updateDisplay();
     }
@@ -38,9 +38,9 @@ public class ScreenControllerSetup extends Screen {
     @Override
     public void tick() {
         super.tick();
-        if (mc.controllerInput != lastController) {
+        if (this.mc.controllerInput != this.lastController) {
             updateDisplay();
-            lastController = mc.controllerInput;
+            this.lastController = this.mc.controllerInput;
         }
     }
 
@@ -49,13 +49,13 @@ public class ScreenControllerSetup extends Screen {
         renderBackground();
         super.render(mx, my, partialTick);
 
-        ControllerInput controller = mc.controllerInput;
+        ControllerInput controller = this.mc.controllerInput;
 
         if (controller != null) {
             boolean swapJoystickAndDPad = controller.getType().getLayout() == ControllerType.Layout.XBOX || controller.getType().getLayout() == ControllerType.Layout.NINTENDO;
 
-            final int x = width / 2 - 232 / 2;
-            final int y = height / 2 - 164 / 2;
+            final int x = this.width / 2 - 232 / 2;
+            final int y = this.height / 2 - 164 / 2;
 
             final int[][] slots = {
                 { 23, 36 },
@@ -81,11 +81,11 @@ public class ScreenControllerSetup extends Screen {
             final int joyRightSlot = 2;
             final int faceButtonsSlot = 3;
 
-            glDisable(GL_DEPTH_TEST);
-
-            drawStringCenteredNoShadow(fontRenderer, "(" + controller.getType().getPrintableName() + ")", width / 2, 40, 0xFFFFFF);
+            GLRenderer.pushFrame();
+            GLRenderer.disableState(State.DEPTH_TEST);
+            drawStringCenteredNoShadow(this.fontRenderer, "(" + controller.getType().getPrintableName() + ")", this.width / 2, 40, 0xFFFFFF);
 
-            mc.textureManager.loadTexture("/assets/minecraft/textures/gui/controller/layout.png").bind();
+            this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/controller/layout.png").bind();
 
             drawTexturedModalRect(x, y, 0, 0, 232, 164);
 
@@ -110,17 +110,17 @@ public class ScreenControllerSetup extends Screen {
 
             //Digital Pad
             drawDPad(controller, x + slots[dPadSlot][0], y + slots[dPadSlot][1], controller.digitalPad.up.isPressed(), controller.digitalPad.right.isPressed(), controller.digitalPad.down.isPressed(), controller.digitalPad.left.isPressed());
-
+            GLRenderer.popFrame();
         }
     }
 
     private void drawButtons(ControllerInput controller, int x, int y) {
         int w = 14;
 
-        drawButton(controller, controller.buttonA, x + w * 1, y + w * 2, controller.buttonA.isPressed());
-        drawButton(controller, controller.buttonB, x + w * 2, y + w * 1, controller.buttonB.isPressed());
-        drawButton(controller, controller.buttonX, x + w * 0, y + w * 1, controller.buttonX.isPressed());
-        drawButton(controller, controller.buttonY, x + w * 1, y + w * 0, controller.buttonY.isPressed());
+        drawButton(controller, controller.buttonA, x + w, y + w * 2, controller.buttonA.isPressed());
+        drawButton(controller, controller.buttonB, x + w * 2, y + w, controller.buttonB.isPressed());
+        drawButton(controller, controller.buttonX, x + 0, y + w, controller.buttonX.isPressed());
+        drawButton(controller, controller.buttonY, x + w, y + 0, controller.buttonY.isPressed());
     }
 
     @Override
@@ -132,10 +132,10 @@ public class ScreenControllerSetup extends Screen {
 
         if (button.id == 0) {
             int index;
-            if (mc.controllerInput == null) {
+            if (this.mc.controllerInput == null) {
                 index = -1;
             } else {
-                index = Arrays.asList(InputHandler.controllers).indexOf(mc.controllerInput);
+                index = Arrays.asList(InputHandler.controllers).indexOf(this.mc.controllerInput);
             }
             do {
                 index++;
@@ -145,11 +145,11 @@ public class ScreenControllerSetup extends Screen {
                 }
             } while (InputHandler.controllers[index] == null);
             if (index == -1) {
-                mc.controllerInput = null;
-                mc.setInputType(InputType.KEYBOARD);
+                this.mc.controllerInput = null;
+                this.mc.setInputType(InputType.KEYBOARD);
             } else {
-                mc.controllerInput = InputHandler.controllers[index];
-                mc.setInputType(InputType.CONTROLLER);
+                this.mc.controllerInput = InputHandler.controllers[index];
+                this.mc.setInputType(InputType.CONTROLLER);
             }
             updateDisplay();
             save();
@@ -158,29 +158,29 @@ public class ScreenControllerSetup extends Screen {
 
     @Override
     public void removed() {
-        if (mc.inputType == InputType.CONTROLLER) {
-            mc.mouseInput.grabCursor();
+        if (this.mc.inputType == InputType.CONTROLLER) {
+            this.mc.mouseInput.grabCursor();
         }
     }
 
     private void updateDisplay() {
-        if (mc.controllerInput != null) {
-            controllerButton.displayString = mc.controllerInput.getController().getName();
-            if (controllerButton.displayString.startsWith("SDL GameController ")) {
-                controllerButton.displayString = controllerButton.displayString.substring(19);
+        if (this.mc.controllerInput != null) {
+            this.controllerButton.displayString = this.mc.controllerInput.getController().getName();
+            if (this.controllerButton.displayString.startsWith("SDL GameController ")) {
+                this.controllerButton.displayString = this.controllerButton.displayString.substring(19);
             }
         } else {
-            controllerButton.displayString = I18n.getInstance().translateKey("gui.controller_setup.label.no_controller_selected");
+            this.controllerButton.displayString = I18n.getInstance().translateKey("gui.controller_setup.label.no_controller_selected");
         }
     }
 
     private void save() {
-        if (mc.controllerInput != null) {
-            mc.gameSettings.selectedController.value = mc.controllerInput.getGUID();
+        if (this.mc.controllerInput != null) {
+            this.mc.gameSettings.selectedController.value = this.mc.controllerInput.getGUID();
         } else {
-            mc.gameSettings.selectedController.value = "";
+            this.mc.gameSettings.selectedController.value = "";
         }
-        mc.gameSettings.saveOptions();
+        this.mc.gameSettings.saveOptions();
     }
 
     private void drawButton(ControllerInput controller, Button button, int x, int y, boolean pressed) {
@@ -193,7 +193,7 @@ public class ScreenControllerSetup extends Screen {
             vOffset = sizeV;
         }
 
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/controller/" + controller.getType().getAssetName() + ".png").bind();
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/controller/" + controller.getType().getAssetName() + ".png").bind();
 
         drawTexturedModalRect(x, y, u, v + vOffset, sizeU, sizeV);
     }
@@ -204,7 +204,7 @@ public class ScreenControllerSetup extends Screen {
         int sizeU = 46;
         int sizeV = 46;
 
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/controller/" + controllerInput.getType().getAssetName() + ".png").bind();
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/controller/" + controllerInput.getType().getAssetName() + ".png").bind();
 
         drawTexturedModalRect(x, y, u, v, sizeU, sizeV);
 
@@ -228,7 +228,7 @@ public class ScreenControllerSetup extends Screen {
         int sizeU = 46;
         int sizeV = 46;
 
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/controller/" + controllerInput.getType().getAssetName() + ".png").bind();
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/controller/" + controllerInput.getType().getAssetName() + ".png").bind();
 
         drawTexturedModalRect(x, y, u, v, sizeU, sizeV);
 
